Download it now!
Bug 95238 - Extraneous bullets appearing in document (DOCX)
Summary: Extraneous bullets appearing in document (DOCX)
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: interoperability
Keywords: bibisected, filter:docx, regression
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2015-10-21 22:43 UTC by Matthew Holloway
Modified: 2018-09-14 10:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Source document (632.57 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-10-21 22:43 UTC, Matthew Holloway
Details
How Microsoft Office 2013 renders the document (12.03 KB, image/png)
2015-10-21 22:46 UTC, Matthew Holloway
Details
How LibreOffice now renders the document (8.24 KB, image/png)
2015-10-21 22:46 UTC, Matthew Holloway
Details
lo.png (147.93 KB, image/png)
2015-10-21 23:08 UTC, Douglas Mencken
Details
m$.png (169.16 KB, image/png)
2015-10-21 23:08 UTC, Douglas Mencken
Details
m$.png (153.69 KB, image/png)
2015-10-21 23:11 UTC, Douglas Mencken
Details
Open in LO 6.1.1.1. Looks fine (124.20 KB, image/png)
2018-09-14 08:59 UTC, Roman Kuznetsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Holloway 2015-10-21 22:43:16 UTC
Created attachment 119854 [details]
Source document

In the attached document Microsoft Office 2013 renders paragraphs on page 2 without bullets but in LibreOffice there are extra bullets.

This appears to be a regression. LibreOffice 3.5.7rc2 doesn't have the problem but LibreOffice 3.6.0.4 does.
Comment 1 Matthew Holloway 2015-10-21 22:46:27 UTC
Created attachment 119855 [details]
How Microsoft Office 2013 renders the document
Comment 2 Matthew Holloway 2015-10-21 22:46:51 UTC
Created attachment 119856 [details]
How LibreOffice now renders the document
Comment 3 Douglas Mencken 2015-10-21 23:07:33 UTC
Yep, extra bullets appear in LO master (oct 21 MMXV) before every newline
Comment 4 Douglas Mencken 2015-10-21 23:08:01 UTC
Created attachment 119859 [details]
lo.png
Comment 5 Douglas Mencken 2015-10-21 23:08:34 UTC
Created attachment 119860 [details]
m$.png
Comment 6 Douglas Mencken 2015-10-21 23:11:29 UTC
Created attachment 119861 [details]
m$.png
Comment 7 Buovjaga 2015-10-24 15:51:20 UTC
New per comment 3.
Comment 8 Joel Madero 2015-12-14 02:18:11 UTC
0b37d1fca3cd8cd23454122064b8148d343e8903 is the first bad commit
commit 0b37d1fca3cd8cd23454122064b8148d343e8903
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun Dec 9 20:06:26 2012 +0000

    source-hash-6263315825e01e766668b9ce5d2eb52e71e051a7
    
    commit 6263315825e01e766668b9ce5d2eb52e71e051a7
    Author:     Tor Lillqvist <tlillqvist@suse.com>
    AuthorDate: Tue Jun 26 11:45:13 2012 +0300
    Commit:     Tor Lillqvist <tlillqvist@suse.com>
    CommitDate: Wed Jun 27 12:56:31 2012 +0300
    
        Whitespace cleanup
    
        Change-Id: I52590908e6ba59c19aded2771d779c1cfa3a45ea

:100644 100644 a2d23215b5fcf4c47430c7f26fc14a82de44f674 85f63c5ef6a3f100e2ce8861ea1910a900ee3c3e M	ccache.log
:100644 100644 3f89bf5e09158109d64e4adf5c466639f115fe4e 14e2b9b93bcc086fd7f97cc37f874a6d401f9e0b M	commitmsg
:100644 100644 fb5bd93a7a999751a645f7cb8b586cf3b4029c7c c53250a15330543dcdac45df7f352a1998cbf906 M	dev-install.log
:100644 100644 0ef1592319178fe88cbc459fe9bc550f5890ad14 d728220497c81f0a39b790d3089bed8b356f8927 M	make.log
:040000 040000 c1f06b8b5dcc355a31693364165f418050d85cac e04077ccb92260fdf49a5a183c151a4607cab44f M	opt
Comment 9 Joel Madero 2015-12-14 02:18:30 UTC
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# bad: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect bad e02439a3d6297a1f5334fa558ddec5ef4212c574
# bad: [8f4aeaad2f65d656328a451154142bb82efa4327] source-hash-1885266f274575327cdeee9852945a3e91f32f15
git bisect bad 8f4aeaad2f65d656328a451154142bb82efa4327
# good: [369369915d3582924b3d01c9b01167268ed38f3b] source-hash-45295f3cdceb4c289553791071b5d7f4962d2ec4
git bisect good 369369915d3582924b3d01c9b01167268ed38f3b
# good: [6fce03a944bf50e90cd31e2d559fe8705ccc993e] source-hash-47e4a33a6405eb1b5186027f55bd9cb99b0c1fe7
git bisect good 6fce03a944bf50e90cd31e2d559fe8705ccc993e
# bad: [da317333e5675622f55c9dda17396c659af65320] source-hash-15af925c254f27046427de70a59011e2ac3d6bdb
git bisect bad da317333e5675622f55c9dda17396c659af65320
# bad: [daa21bbd8c7b50e2ca1c2cbed0e39f0e7b5a1cb2] source-hash-6b11a18071254a443c8fe7e7b0b1c95b0f9fd35e
git bisect bad daa21bbd8c7b50e2ca1c2cbed0e39f0e7b5a1cb2
# good: [e270c448410216194de63a2e4c2a16cb6f9a89dd] source-hash-77987eacff20dec40caf29aae61d262239d441e9
git bisect good e270c448410216194de63a2e4c2a16cb6f9a89dd
# bad: [0b37d1fca3cd8cd23454122064b8148d343e8903] source-hash-6263315825e01e766668b9ce5d2eb52e71e051a7
git bisect bad 0b37d1fca3cd8cd23454122064b8148d343e8903
# good: [56e0b2e447c2ff52af50c3469dc5e565d86c14df] source-hash-fcda0878e99d5792e150705f63f3ba25b5d8d14c
git bisect good 56e0b2e447c2ff52af50c3469dc5e565d86c14df
# first bad commit: [0b37d1fca3cd8cd23454122064b8148d343e8903] source-hash-6263315825e01e766668b9ce5d2eb52e71e051a7
Comment 11 QA Administrators 2018-09-14 02:46:58 UTC Comment hidden (obsolete)
Comment 12 Roman Kuznetsov 2018-09-14 08:59:27 UTC
Created attachment 144859 [details]
Open in LO 6.1.1.1. Looks fine

Looks fine in 

Версия: 6.1.1.1
ID сборки: 2718b4a18dfcc6a54ebe5f7b801ee7a47fa81e0c
Потоков ЦП: 4; ОС:Windows 6.1; Отрисовка ИП: по умолчанию; 
Локаль: ru-RU (ru_RU); Calc: group threaded

Status->WFM
Comment 13 Xisco Faulí 2018-09-14 09:10:58 UTC
Indeed, I do confirm it's fixed in master

Version: 6.2.0.0.alpha0+
Build ID: 4e5f89d2d3511b6421b388ecaba2f61ada14d084
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: threaded
Comment 14 Xisco Faulí 2018-09-14 10:25:32 UTC
Also fixed in

Versió: 6.0.6.2
ID de la construcció: 1:6.0.6-0ubuntu0.16.04.1
Fils de CPU: 4; SO: Linux 4.15; Renderitzador de la IU: per defecte; VCL: gtk3; 
Configuració local: ca-ES (ca_ES.UTF-8); Calc: group